<!-- IGAC proyecto SNC -->
<!-- @author javier.aponte -->
<!-- @description  pantalla donde se puede modificar el auto de pruebas -->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="modificarAutoDePruebasForm"
        prependId="false" onkeypress="return event.keyCode != 13;">

    <h:panelGrid columns="1" id="datosAPF">

        <p:messages id="msgModificarAuto" showDetail="false" globalOnly="false" />

        <p:spacer height="0" width="8" />

        <h:panelGrid columns="5">
            <p:spacer height="0" width="8" />
            <h:panelGroup>
                <h:outputLabel value="Fecha inicio pruebas:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <p:calendar id="fechaIPruebas"
                            value="#{selectedTramiteParam.tramitePruebas.fechaInicio}"
                            label="Fecha título" required="true" effect="explode"
                            navigator="true"
                            pattern="#{general.formatoFecha}" showOn="both"
                            title="#{general.formatoFechaUsuario}" size="10"
                            mindate="#{general.fechaActual}" />
                <p:message for="fechaIPruebas" display="icon"/>
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Fecha fin pruebas:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <p:calendar id="fechaFPruebas"
                            value="#{selectedTramiteParam.tramitePruebas.fechaFin}"
                            label="Fecha título" required="true" effect="explode"
                            navigator="true"
                            pattern="#{general.formatoFecha}" showOn="both"
                            title="#{general.formatoFechaUsuario}" size="10" />
                <p:message for="fechaFPruebas" display="icon" />
            </h:panelGrid>
        </h:panelGrid>
        <p:separator />

        <ui:include src="datosAutoDePruebas.xhtml">
            <ui:param name="selectedTramiteParam" value="#{selectedTramiteParam}" />
        </ui:include>

        <p:spacer height="0" width="8" />
        <p:outputPanel id="decisionAprobarPruebas" layout="block"
                       style="text-align: right">

            <p:commandButton value="Guardar" icon="ui-icon-disk" ajax="true"
                             update="decisionAprobarPruebas, msgModificarAuto, :modificarAutoDePruebasForm:aprobarAutoDPForm"
                             id="guardarBtn" action="#{managedBeanParam.guardarSolicitudPruebas}" />
            <p:spacer height="10" width="8" />

            <p:commandButton value="Generar documento auto de pruebas"
                             icon="ui-icon-arrowreturnthick-1-e" ajax="true"
                             action="#{managedBeanParam.generarDocumentoAutoDePruebas}"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); documentoAutoDePruebasWV.show();modificarAutoDePruebasWV.hide();"
                             rendered="#{managedBeanParam.banderaGenerarDocumentoAutoDePruebas}"
                             update=":documentoAutoDePruebas:vistaMemoForm" />

            <p:spacer height="10" width="8" />

        </p:outputPanel>

        <p:spacer height="10" />
    </h:panelGrid>

</h:form>